4Z API

video extension

Endpoint: POST https://4zapi.com/kling/v1/videos/video-extend

Parameters

  • Content-Type (header, string): Request body Content-Type, usually application/json
  • Authorization (header, string): Bearer API Key

Request body (application/json)

  • prompt (string, required): Positive text prompt max 2500 characters
  • video_id (string, required): Video ID for extend (text/image/video); original video ≤3 minutes
  • callback_url (string): Callback URL invoked on task completion
  • cfg_scale (number): Prompt reference strength range [0,1]; higher = stronger
  • negative_prompt (string): negative text prompt

Request example

{
  "callback_url": "",
  "cfg_scale": 0.5,
  "negative_prompt": "",
  "prompt": "延长动画效果",
  "video_id": "828006748715380777"
}